View Issue Details

Category
SSPBT:本体(SSP)
SeveritytrivialReproducibilityN/A 
Status closed 
Summary0000339: The order of the list of files in updates.txt
DescriptionI've basically finished the CI build of md5(I just thought of a way to bypass the msvc crash today so)
https://github.com/Taromati2/ukagaka-mirror-md5-CI-build
But there is one problem: the order of the list of files output by the program I wrote is very different from ssp, so I'm wondering what I should do to mimic the order of the ssp files, after all, no one wants to see the md5 files just reordered without substantial changes
TagsNo tags attached.
Attach Tags

Relationships

duplicate of 0000155 feedbackponapalt Ghosts sometimes stop appearing on top when clicking to another window 

Activities

ponapalt

2021-10-31 10:20

administrator   ~0000866

Update process is not affected by the order of updates.txt, so you don't need to do anything special.
Generation of updates.txt in SSP depends on the order of file enumeration in Windows, so it is difficult to imitate it completely on other operating systems.

You will probably get similar results if you sort ignoring case.

guest

2021-11-01 00:33

reporter   ~0000868

Despite a few twists and turns, the CI fix for md5 is almost complete!
There are a few issues that need your help.
1. I would like to standardize the ordering of updates.txt (since the CI generated updates.txt content is hardly the same as ssp), so could we use the wstring dictionary order in the next ssp version if it is convenient?
2. the program that produces the update file doesn't seem to be able to get the last update date of the file correctly, I'd be happy if you could help: I'm really desperate XD
https://github.com/steve02081504/my-gists/blob/master/file/windows/LastWriteTime.cpp
https://github.com/steve02081504/my-gists/blob/master/windows/FILETIME2time_t.cpp


and the Ci builder is set up so that it can handle "! filter rules", so feel free to copy the code if you want to borrow it

guest

2021-11-01 01:26

reporter   ~0000869

It also looks like this program generates a different md5 for some files than ssp, dammit
https://github.com/steve02081504/my-gists/blob/master/windows/MD5maker.hpp
I'm going to deal with these tomorrow, if I know how
Right now I need to sleep.

guest

2021-11-01 19:24

reporter   ~0000870

https://github.com/Taromati2/stable-mirror/commit/9f3247b3e04d5c18b2ed22cd131da211f818e753
md5 issue fixed

ponapalt

2021-11-06 19:56

administrator   ~0000885

2.5.40

Issue History

Date Modified Username Field Change
2021-10-31 00:36 guest New Issue
2021-10-31 10:20 ponapalt Assigned To => ponapalt
2021-10-31 10:20 ponapalt Status new => feedback
2021-10-31 10:20 ponapalt Note Added: 0000866
2021-11-01 00:33 guest Note Added: 0000868
2021-11-01 00:33 guest Status feedback => assigned
2021-11-01 01:26 guest Note Added: 0000869
2021-11-01 19:24 guest Note Added: 0000870
2021-11-05 16:53 ponapalt Status assigned => confirmed
2021-11-05 16:54 ponapalt Relationship added duplicate of 0000155
2021-11-06 19:56 ponapalt Status confirmed => closed
2021-11-06 19:56 ponapalt Resolution open => duplicate
2021-11-06 19:56 ponapalt Note Added: 0000885